Get content status

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-reference.lassomoderation.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Lasso Moderation API MCP server": {
    "url": "https://api-reference.lassomoderation.com/mcp"
  }
}

Close
GET /status/{contentId}

Get the status and the actions taken upon a piece of content. When the status is null this means that we have not yet run the moderation rules against the content.

Default rate limit: 300 requests per minute.

Path parameters

  • contentId string Required

    The id of the content (the content_id you sent when ingesting it)

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • success boolean Required
    • status string | null

      The status of an object

      Values are allowed, flagged, or hidden.

    • actions array[object] Required

      An action that was taken on an object (e.g. a status change), in the same format as webhook action payloads.

      Hide actions attributes Show actions attributes object

      An action that was taken on an object (e.g. a status change), in the same format as webhook action payloads.

      • action_id string Required
      • action_created_at string(date-time) Required

        ISO Date e.g. 2022-07-21T18:12:39.000Z https://en.wikipedia.org/wiki/ISO_8601

      • action_type string Required
      • type string Required
      • tags_added array[string]
      • rule_id string
      • actor_id string
      • content object
        Hide content attributes Show content attributes object
        • id string Required
        • created_at string(date-time) Required

          ISO Date e.g. 2022-07-21T18:12:39.000Z https://en.wikipedia.org/wiki/ISO_8601

        • category_id string Required
        • subcategory_id string Required
        • user_id string Required
        • tags array[string] Required
      • status string | null

        The status of an object

        Values are allowed, flagged, or hidden.

      • previous_status string | null

        The status of an object

        Values are allowed, flagged, or hidden.

      • policy_id string
      • policy_name string
  • 401 application/json

    The API token is missing or invalid

    Hide response attributes Show response attributes object
    • success boolean Required
    • error string | object Required

      A message describing the error. For validation errors this is an object with an error message per field.

  • 404 application/json

    Returned when the content is not found

    Hide response attributes Show response attributes object
    • success boolean Required
    • error string | object Required

      A message describing the error. For validation errors this is an object with an error message per field.

  • 429 application/json

    The rate limit has been exceeded, check the X-RateLimit headers for limits

    Hide headers attributes Show headers attributes
    • X-RateLimit-Limit

      The rate limit interval in milliseconds

    • X-RateLimit-Remaining

      The number of requests remaining in the current interval

    • X-RateLimit-Reset

      The number of milliseconds until requests are allowed again

    Hide response attribute Show response attribute object
    • error string Required
GET /status/{contentId}
curl \
 --request GET 'https://api.lassomoderation.com/api/v1/status/{contentId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "success": true,
  "status": "flagged",
  "actions": [
    {
      "action_id": "clyhfrweo0002wx1z402kp4id",
      "action_created_at": "2024-07-11T15:41:06.383Z",
      "action_type": "ChangeStatus",
      "status": "flagged",
      "previous_status": null,
      "rule_id": "clesjpsib0001ukkq5e62gwnw",
      "content": {
        "id": "1188620289",
        "created_at": "2024-07-11T15:41:06.027Z",
        "category_id": "chat",
        "subcategory_id": "chat-community",
        "user_id": "9876545634",
        "tags": [
          "another-tag"
        ]
      },
      "type": "content",
      "policy_id": "other",
      "policy_name": "Other"
    }
  ]
}
Response examples (401)
{
  "success": false,
  "error": "Invalid API key"
}
Response examples (404)
{
  "success": false,
  "error": "Content not found"
}
Response examples (429)
{
  "error": "Too many requests, check headers for limits"
}